"use strict";

/*
 * Author: lin.zehong 
 * Date: 2020-02-22 12:29:16 
 * Desc: 各种文件模板 
 */
var _require = require('./umiTpl'),
    umiindexContent = _require.indexContent,
    umimapPropsContent = _require.mapPropsContent,
    umipContent = _require.pContent,
    umilessContent = _require.lessContent,
    umiservicesContent = _require.servicesContent,
    umimodelsContent = _require.modelsContent;

var _require2 = require('./taroTpl'),
    taroindexContent = _require2.indexContent,
    taromapPropsContent = _require2.mapPropsContent,
    taropContent = _require2.pContent,
    tarolessContent = _require2.lessContent,
    taroservicesContent = _require2.servicesContent,
    taromodelsContent = _require2.modelsContent; // index 内容


function indexContent(pageName, options) {
  var type = options.type;

  if (type === 'umi') {
    return umiindexContent(pageName, options);
  } else if (type === 'taro') {
    return taroindexContent(pageName, options);
  } else {
    return umiindexContent(pageName, options);
  }
} // MapProps 内容


function mapPropsContent(desc, modelName, options) {
  var type = options.type;

  if (type === 'umi') {
    return umimapPropsContent(desc, modelName, options);
  } else if (type === 'taro') {
    return taromapPropsContent(desc, modelName, options);
  } else {
    return umimapPropsContent(desc, modelName, options);
  }
} // 入口组件内容


function pContent(pageName, options) {
  var type = options.type;

  if (type === 'umi') {
    return umipContent(pageName, options);
  } else if (type === 'taro') {
    return taropContent(pageName, options);
  } else {
    return umipContent(pageName, options);
  }
} // less 内容


function lessContent(options) {
  var type = options.type;

  if (type === 'umi') {
    return umilessContent();
  } else if (type === 'taro') {
    return tarolessContent();
  } else {
    return umilessContent();
  }
} // services 内容


function servicesContent(desc, options) {
  var type = options.type;

  if (type === 'umi') {
    return umiservicesContent(desc, options);
  } else if (type === 'taro') {
    return taroservicesContent(desc, options);
  } else {
    return umiservicesContent(desc, options);
  }
} // models 内容


function modelsContent(fileName, options) {
  var type = options.type;

  if (type === 'umi') {
    return umimodelsContent(fileName, options);
  } else if (type === 'taro') {
    return taromodelsContent(fileName, options);
  } else {
    return umimodelsContent(fileName, options);
  }
}

module.exports = {
  indexContent: indexContent,
  mapPropsContent: mapPropsContent,
  pContent: pContent,
  lessContent: lessContent,
  servicesContent: servicesContent,
  modelsContent: modelsContent
};